Package: org.gmetrics.metricset

## [Groovy] Class MetricSetBuilder

- org.gmetrics.metricset.MetricSetBuilder

- A Builder for MetricSets. Create a MetricSet by calling the `metricset` method, passing in a `Closure` defining the contents of the MetricSet. The `Closure` can contain any combination of the following (as well as arbitrary Groovy code):

  - `metricset` - to load a MetricSet file. The path specifies a Groovy file.
  - `metric` - to load a single Metric; specify the Metric class
  - The name of a predefined Metric - to load a single Metric
  - `description` - description of the MetricSet (optional)
  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MetricSet` | `getMetricSet()`
    `` | `void` | `metricset(groovy.lang.Closure closure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### MetricSet getMetricSet()

    - #### void metricset(groovy.lang.Closure closure)